/*
		Endeavour Device Mounting/Unmounting
 */

#ifndef EDVMOUNT_H
#define EDVMOUNT_H

#include <gtk/gtk.h>
#include "edvdevices.h"
#include "endeavour.h"


extern const gchar *EDVMountGetError(void);

extern gint EDVMountDoMount(
	edv_core_struct *core_ptr, edv_device_struct *dev_ptr,
	GtkWidget *toplevel
);
extern gint EDVMountDoUnmount(
	edv_core_struct *core_ptr, edv_device_struct *dev_ptr,
	GtkWidget *toplevel
);
extern gint EDVMountDoEject(
	edv_core_struct *core_ptr, edv_device_struct *dev_ptr,
	GtkWidget *toplevel
);


#endif	/* EDVMOUNT_H */
